<?php
declare(strict_types=1);

namespace App\Entity\Message;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
#[ORM\Table(name: 'ReportMessage')]
//#[Auditable]
#[ORM\Entity]
class ReportEmail extends AbstractReport
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'reports')]
    #[ORM\JoinColumn('message_id')]
    private Email $email;

    #[ORM\Column(length: 255)]
    private string $addressEmail;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getEmail(): ?Email
    {
        return $this->email;
    }

    public function setEmail(?Email $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getAddressEmail(): ?string
    {
        return $this->addressEmail;
    }

    public function setAddressEmail(?string $addressEmail): self
    {
        $this->addressEmail = $addressEmail;

        return $this;
    }
}